Bug 1822992 - gnome-weather displays no cloud conditions and unknown temperature for autodetected locations
Summary: gnome-weather displays no cloud conditions and unknown temperature for autode...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-weather
Version: 32
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F32FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-04-10 20:29 UTC by Michael Catanzaro
Modified: 2020-04-14 21:45 UTC (History)
6 users (show)

Fixed In Version: gnome-weather-3.36.1-1.fc32 gnome-weather-master-3220200410205756.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-13 21:29:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-weather - issues 95 None None None 2020-04-10 20:29:34 UTC

Description Michael Catanzaro 2020-04-10 20:29:35 UTC
By default, GNOME Weather automatically detect's the user's location and displays weather for this location. I accidentally broke this functionality very recently. This is fixed in 3.36.1. I don't think this is serious enough to block the release, even though it's a basic functionality failure. But it would be nice to get a freeze exception.

Comment 1 Fedora Update System 2020-04-10 20:29:57 UTC
FEDORA-2020-856e17297c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-856e17297c

Comment 2 Fedora Blocker Bugs Application 2020-04-10 20:32:16 UTC
Proposed as a Freeze Exception for 32-final by Fedora user catanzaro using the blocker tracking app because:

 Fails basic functionality test. Can be fixed with an update, but would be nice to avoid this on live media.

Comment 3 Fedora Update System 2020-04-10 21:31:48 UTC
FEDORA-FLATPAK-2020-4e86d894d8 has been submitted as an update to Fedora 32 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-4e86d894d8

Comment 4 Fedora Update System 2020-04-11 18:51:47 UTC
FEDORA-2020-856e17297c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-856e17297c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-856e17297c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 František Zatloukal 2020-04-13 10:52:47 UTC
FEDORA-2020-856e17297c fixes the issue.

Comment 6 Geoffrey Marr 2020-04-13 19:46:07 UTC
Discussed during the 2020-04-13 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-04-13/f32-blocker-review.2020-04-13-16.04.txt

Comment 7 Fedora Update System 2020-04-13 21:29:05 UTC
FEDORA-2020-856e17297c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-04-14 15:39:22 UTC
FEDORA-FLATPAK-2020-4e86d894d8 has been pushed to the Fedora 32 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-4e86d894d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-14 21:45:23 UTC
FEDORA-FLATPAK-2020-4e86d894d8 has been pushed to the Fedora 32 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.